Đến nội dung


Hình ảnh

biến hình tròn thành hình đa giác (help help)


  • Please log in to reply
2 replies to this topic

#1 latdat

latdat

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 March 2014 - 08:20 PM

Chào các bác 

 

em có  100 hình tròn kích thước các kiểu trong 1 file cad - bây giờ em muốn biến nó 1 cách tự động thành 100 hình lục giác nội tiếp bên trong các hình tròn đó

 

Bác nào có giải pháp thì giúp em với

 

Thanks nhiều nhiều


  • 0

#2 quansla

quansla

    biết lệnh xclip

  • Members
  • PipPipPipPipPipPipPip
  • 643 Bài viết
Điểm đánh giá: 224 (khá)

Đã gửi 26 March 2014 - 08:54 PM

việc này có thể làm được với lisp ở mức chấp nhận được, nói chấp nhận được là vì có thể tạo ra một Polyline đa giác đều n cạnh thay thế hình tròn tại vị trí cũ, nhưng mà hướng quay của Polyline thì chưa biết, nên chỉ tạm chấp nhận thôi, bạn thấy yêu cầu về huớng quay có quan trọng không/
Nếu không thì xài tạm.

(defun c:thunghiem(/ N i Radi ent p10)
(vl-load-com)
(setvar "cmdecho" 0)
  (or #N (setq #N 100))
  (setq N (cond ((getint (strcat "\nCho so canh <" (rtos #N 2 0) ">"))) (#N))
#N N)
  (foreach i (acet-ss-to-list(ssget '(( 0 . "CIRCLE"))))
    (setq Radi (cdr(assoc 40 (setq ent (entget i)))) p10 (cdr(assoc 10 ent)))
    (entdel i)
    (vl-cmdf "POLYGON" N p10 "C" Radi))
(setvar "cmdecho" 1)
  (princ)
  )

  • 1

#3 hiepttr

hiepttr

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1298 Bài viết
Điểm đánh giá: 518 (tốt)

Đã gửi 27 March 2014 - 08:22 AM

:D :D :D

phải là tuỳ chọn "i" (thay cho "C") nếu lục giác nội tiếp chứ ?!

& nếu quan tâm đến góc xoay thì chơi kiểu đại loại như:

 

(command "polygon" 6 (getpoint "\nchon: ") "i" "@50<30")


  • 1

Có vợ dù dữ dù hiền , bạn đều có lợi
_ Nếu vợ hiền, bạn sẽ là người đàn ông sung sướng
_ Nếu vợ dữ, bạn sẽ thành ... triết gia !

Bergson